<?php
class FindDetailVtaAction extends wtActions
{
    public function execute()
    {
        $block        = $this->getRequestParameter( 'block' );
        $i_Id         = $this->getRequestParameter( 'i_Id' );
        $this->noedit = is_null( $this->getRequestParameter( 'noedit' ) ) ? 1 : $this->getRequestParameter( 'noedit' );
        
        $a_Ids = explode( "_", $i_Id );
        $IdTipoDocumento = $a_Ids[0];
        $IdCompania      = $a_Ids[1];
        $NumeroDocumento = $a_Ids[2];
        
        /*$o_MST_UnidadMastFN = new MST_UnidadMastFN();
        $o_MST_UnidadMastFN->setEstado( "A" );
        $this->a_UnidadVenta = $o_MST_UnidadMastFN->select();*/

        $o_VTA_DocumentoFN = new VTA_DocumentoFN();
        $this->o_VTA_DocumentoBN = $o_VTA_DocumentoFN->selectByPK( $IdTipoDocumento, $IdCompania, $NumeroDocumento );
        
        $o_VTA_DocumentoDetalleFN = new VTA_DocumentoDetalleFN();
        $o_VTA_DocumentoDetalleFN->setIdTipoDocumento( $IdTipoDocumento );
        $o_VTA_DocumentoDetalleFN->setIdCompania( $IdCompania );
        $o_VTA_DocumentoDetalleFN->setNumeroDocumento( $NumeroDocumento );
        //$o_VTA_DocumentoDetalleFN->addOrderBy( VTA_DocumentoDetalleFN::Descripcion );
        $o_VTA_DocumentoDetalleFN->addOrderBy( VTA_DocumentoDetalleFN::Secuencia );
        $this->a_VTA_DocumentoDetalle = $o_VTA_DocumentoDetalleFN->select();
        
        $this->b_UsarLote = false;
        if( $o_VTA_DocumentoDetalleFN->activarCamposPorLote() )
        {
            $this->b_UsarLote = true;
        }

        $this->b_MostrarMargen = myUser::getUser()->getObjectCompania()->getMostrarMargenVenta();
        if( !myUser::getUser()->getObjectRol()->tieneAccesoGlobal() )
        {
            $this->b_MostrarMargen = false;
        }

        ViewResponse::getInstance()->setMethodAjax();
    }
}